Bug 217281 - The init script gets 'condrestart' argument wrong
The init script gets 'condrestart' argument wrong
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
5.0
All Linux
medium Severity low
: rc
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 08:24 EST by Radek Bíba
Modified: 2008-05-21 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0473
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-11-26 08:24:04 EST
Description of problem:
/etc/rc.d/init.d/wpa_supplicant reads:

case "$1" in
...
        condrestart|try-restart)
                [ -f $lockfile ] || restart
                ;;
...

This is wrong. condrestart (or try-restart) is supposed to restart a service
as long as it's running. So, it should read either:
[ -f $lockfile ] && restart
or:
[ ! -f $lockfile ] || restart

See the other /etc/rc.d/init.d/* scripts.
Comment 1 Dan Williams 2007-11-05 10:49:59 EST
trivial fix, could do for 5.2
Comment 2 RHEL Product and Program Management 2007-11-27 16:54:40 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Dan Williams 2008-01-16 17:22:07 EST
Fix committed to RHEL5 branch
Comment 12 errata-xmlrpc 2008-05-21 13:33:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0473.html

Note You need to log in before you can comment on or make changes to this bug.